ngfd-plugin: /build/ngfd/src/ngfd-1.4.1/src/include/ngf/core.h File Reference

ngfd-plugin

Typedefs | Functions
core.h File Reference
`#include <glib.h>`
`#include <ngf/core-hooks.h>`
`#include <ngf/hook.h>`
`#include <ngf/sinkinterface.h>`
`#include <ngf/context.h>`

Go to the source code of this file.

## Typedefs
typedef struct _NCore | NCore
| Internal core structure.

## Functions
NContext * | n_core_get_context (NCore *core)
| Get context structure associated with core.
GList * | n_core_get_requests (NCore *core)
| Get list of active requests.
NSinkInterface ** | n_core_get_sinks (NCore *core)
| Get list of registered sinks.
GList * | n_core_get_events (NCore *core)
| Get list of known events.
int | n_core_connect (NCore *core, NCoreHook hook, int priority, NHookCallback callback, void *userdata)
| Connect callback function to hook.
void | n_core_disconnect (NCore *core, NCoreHook hook, NHookCallback callback, void *userdata)
| Disconnect callback function from hook.

## Typedef Documentation

## ◆ NCore

typedef struct _NCore NCore

Internal core structure.

## Function Documentation

## ◆ n_core_connect()

int n_core_connect | ( | NCore * | core,
|  | NCoreHook | hook,
|  | int | priority,
|  | NHookCallback | callback,
|  | void * | userdata )

Connect callback function to hook.

Parameters

  core | Core.
  hook | Hook to connect callback to.
  priority | Priority of callback function.
  callback | Callback function.
  userdata | Userdata.

Returns
  TRUE if successful.

See also
  _NCoreHook
  _NHookPriority
  NHookCallback

## ◆ n_core_disconnect()

void n_core_disconnect | ( | NCore * | core,
|  | NCoreHook | hook,
|  | NHookCallback | callback,
|  | void * | userdata )

Disconnect callback function from hook.

Parameters

  core | Core.
  hook | Hook to connect callback to.
  callback | Callback function.
  userdata | Userdata.

See also
  _NCoreHook
  NHookCallback

## ◆ n_core_get_context()

NContext * n_core_get_context | ( | NCore * | core | ) |

Get context structure associated with core.

Parameters

  core | Core.

Returns
  NContext structure.

## ◆ n_core_get_events()

GList * n_core_get_events | ( | NCore * | core | ) |

Get list of known events.

Parameters

  core | Core.

Returns
  GList of events.

## ◆ n_core_get_requests()

GList * n_core_get_requests | ( | NCore * | core | ) |

Get list of active requests.

Parameters

  core | Core.

Returns
  Requests in GList type.

## ◆ n_core_get_sinks()

NSinkInterface ** n_core_get_sinks | ( | NCore * | core | ) |

Get list of registered sinks.

Parameters

  core | Core.

Returns
  Array of NSinkInterfaces